Customers
Show customer
https://rcur.app/api/v2/customers/{id}
Requires your API key as Authorization: Bearer <key>. See authentication.
Path parameters
-
idstring required
Responses
200 Customer details Customer object
-
idstring required -
numberstring nullable -
first_namestring required -
last_namestring required -
emailstring required -
phonestring nullable -
organization_namestring nullable -
addressstring nullable -
postal_codestring nullable -
citystring nullable -
countrystring nullable -
vat_numberstring nullable -
localestring nullableOne of
nlenfrdees -
mollie_customer_idstring nullable -
created_atstring required -
custom_fieldsarray of CustomFieldValuesAnswers to custom fields. Only present when the organization has custom fields.
5 child attributes · CustomFieldValue
-
field_idstring nullableId of the custom field, empty when the field has been deleted since
-
labelstring requiredThe question as it was asked
-
typestring requiredOne of
texttextareanumberselectcheckboxdate -
valuestring nullable requiredThe answer: a boolean for a checkbox, a number for a number field, otherwise text (a date as YYYY-MM-DD)
-
displaystring requiredThe answer as readable text
-
404 Resource not found Error object
-
statusinteger required -
errorstring required